### Method

# Gtk Widget get_hexpand_set

#### Declaration [src]

    gboolean
    gtk_widget_get_hexpand_set (
      GtkWidget* widget
    )

#### Description [src]

Gets whether the `hexpand` flag has been explicitly set.

If `GtkWidget:hexpand` property is set, then it overrides any computed expand value based on child widgets. If `hexpand` is not set, then the expand value depends on whether any children of the widget would like to expand.

There are few reasons to use this function, but it’s here for completeness and consistency.

Gets property | `Gtk.Widget:hexpand-set`

#### Return value

Type: `gboolean`

Whether hexpand has been explicitly set.